Subject: bug#55130: guix says I found a bug!

From: Konstantinos Karachalios <[email-masked]>
Date: Thu, 28 Apr 2022 14:27:53 +0000

Yeah, retrying the command fixed the issue.

Is there any work in progress to detect this issue and not present it as
a bug to be filed?

— Kostas

On April 28, 2022, Josselin Poiret <[email-masked]> wrote:
> Hello,
>
> Konstantinos Karachalios via Bug reports for GNU Guix <bug-
> [email-masked]>
> writes:
>
> > 100.0% guix substitute: warning: while fetching
> > https://ci.guix.gnu.org/nar/zstd/a73j4wz6hpazg6yip7k92sj45j63k62b-
> > texlive-psnfss-fixed-59745: server is somewhat slow guix substitute:
> > warning: try `--no-substitutes' if the problem persists Backtrace:
> 17
> > (primitive-load "/gnu/store/yvyfk9rpnh8kb6jxsa1m4q5p1bnh3l22-
> compute-
> > guix-derivation") In ice-9/eval.scm: 155:9 16 (_ _) 159:9 15 (_
> > #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?)
> ?) ?)
> > ?) ?) ?) ?) ?) ?) ?) ?) ?) ?)) In ice-9/boot-9.scm: 152:2 14 (with-
> > fluid* _ _ _) 152:2 13 (with-fluid* _ _ _) In ./guix/store.scm:
> 2129:24
> > 12 (run-with-store #<store-connection 256.99 7ffa96491280> _
> #:guile-
> > for-build _ #:system _ #:target _) 1966:8 11 (_ _) In
> ./guix/gexp.scm:
> > 299:22 10 (_ _) 1180:2 9 (_ _) 1046:2 8 (_ _) 892:4 7 (_ _) In
> > ./guix/store.scm: 2014:12 6 (_ #<store-connection 256.99
> 7ffa98357640>)
> > 1410:13 5 (map/accumulate-builds #<store-connection 256.99
> 7ffa98357640>
> > #<procedure 7ffa94af1e40 at ./guix/stor?> ?) 1410:13 4
> (map/accumulate-
> > builds #<store-connection 256.99 7ffa98357640> #<procedure
> 7ffa899dd900
> > at ./guix/stor?> ?) 1410:13 3 (map/accumulate-builds #<store-
> connection
> > 256.99 7ffa98357640> #<procedure 7ffa89743ce0 at ./guix/stor?> ?)
> > 1410:13 2 (map/accumulate-builds #<store-connection 256.99
> 7ffa98357640>
> > #<procedure 7ffa7a5904a0 at ./guix/stor?> ?) 1406:5 1
> (map/accumulate-
> > builds #<store-connection 256.99 7ffa98357640> #<procedure
> 7ffa7a33c100
> > at ./guix/stor?> ?) 1421:15 0 (_ #<store-connection 256.99
> 7ffa98357640>
> > _ _) ./guix/store.scm:1421:15: ERROR: 1. &store-protocol-error:
> message:
> > "some substitutes for the outputs of derivation
> > `/gnu/store/bgz01khbwy0h8jv64f0cnydw8rliv6l5-texlive-psnfss-fixed-
> > 59745.drv' failed (usually happens due to networking issues); try
> `--
> > fallback' to build derivation from source " status: 1 guix pull:
> error:
>
> Looks like you or the substitute server may have had transient
> networking issues. Retrying might resolve the problem.
>
> Best,
> -- 
> Josselin Poiret